Bug 89498 - [PATCH] Fix FAM support in bsd.port.mk; make gamin default
[PATCH] Fix FAM support in bsd.port.mk; make gamin default
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: portmgr
Depends on:
  Show dependency treegraph
Reported: 2005-11-24 18:20 UTC by Joe Marcus Clarke
Modified: 2006-01-21 19:50 UTC (History)
0 users

See Also:

bsd.port.mk.diff (1.67 KB, patch)
2005-11-24 18:20 UTC, Joe Marcus Clarke
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Marcus Clarke freebsd_committer 2005-11-24 18:20:02 UTC
I did a stupid thing with my initial pass at FAM support.  I exposed
WANT_FAM_SYSTEM to users when it is clearly only meant for porters.
This patch corrects that problem by using WITH_FAM_SYSTEM as a user
tunable.  It also (finally) makes gamin the default FAM system.
Comment 1 Joe Marcus Clarke freebsd_committer 2005-11-24 18:22:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to the keepers of the flame.
Comment 2 Mark Linimon freebsd_committer 2005-12-19 13:49:37 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 elvstone 2006-01-04 12:18:25 UTC
Consider the following scenario:

A port defines WANT_FAM_SYSTEM=3Dfam. A user without WITH_FAM_SYSTEM
explicitly set in his make.conf, and with devel/gamin installed since
before then installs this port. I think the dependency on fam.0 will
then be satisfied, eventhough what he really has is Gamin. Would
anyone mind the following? (patch against HEAD):

--- bsd.port.mk.orig  Wed Jan  4 12:07:38 2006
+++ bsd.port.mk Wed Jan  4 12:08:29 2006
@@ -1498,7 +1498,7 @@
 .if ${WANT_FAM_SYSTEM} =3D=3D fam
 LIB_DEPENDS+=3D  fam.0:${PORTSDIR}/devel/fam
 .elif ${WANT_FAM_SYSTEM} =3D=3D gamin
-LIB_DEPENDS+=3D  fam.0:${PORTSDIR}/devel/gamin
+LIB_DEPENDS+=3D  gamin-1.1:${PORTSDIR}/devel/gamin
 BROKEN=3D      "unknown FAM system: ${WANT_FAM_SYSTEM}"

Best regards,
Aron Stansvik

PS. I'm not subscribed, so Cc would be nice. DS.
Comment 4 elvstone 2006-01-04 12:36:33 UTC
My e-mail client did something bad to the equal signs in the patch.
Sorry about that, but you get what I mean, just change
fam.0:${PORTSDIR}/devel/gamin to gamin-1.1:${PORTSDIR}/devel/gamin.

Comment 5 Mark Linimon freebsd_committer 2006-01-21 19:50:29 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.